Null/Extra symbol in categorized layer style

2014-09-30 06:49 AM - Pekka Helenius

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19595

Description

For some reason, QGIS Desktop generates an extra/null symbol for categorized layer styles. This happens, at least, on vector layers. The

extra symbol need to be removed by an user, manually. The symbol is automatically generated each time you push classify button.

See picture attachment. Symbols 1-5 are correct, and the null symbol at the bottom of the list (blue one) shouldn't be there.

History

#1 - 2014-09-30 07:08 AM - Pekka Helenius

- Target version set to Future Release - Nice to have

#2 - 2014-10-02 09:41 AM - Jürgen Fischer

- Category set to Symbology

#3 - 2014-10-04 05:19 AM - Nathan Woodrow

- Tag changed from layer style categorized symbols null extra to style categorized symbols

This is the fall though style if the none of the others match.  If this symbol is not set and you have a value in a new/updated feature that is out of the set

range it will not show on the map and you might think that it is not saved or entered correctly.

#4 - 2014-10-04 05:35 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Nathan Woodrow wrote:

This is the fall though style if the none of the others match.  If this symbol is not set and you have a value in a new/updated feature that is out of the

set range it will not show on the map and you might think that it is not saved or entered correctly.

and it is so by design, as far as I know.
